"""Catalog and searching components for accesscodes.
"""
import grok
from hurry.query import Eq
from zope.catalog.interfaces import ICatalog
from zope.component import getUtility
from zope.component.interfaces import ComponentLookupError
from waeup.sirp.interfaces import IUniversity
from waeup.sirp.catalog import QueryResultItem
from waeup.sirp.index import UniqueField
from waeup.sirp.accesscodes.interfaces import IAccessCode


class ACIndexes(grok.Indexes):
    """Empty doc string
    """
    grok.site(IUniversity)
    grok.name('accesscodes_catalog')
    grok.context(IAccessCode)

    code = UniqueField(attribute='representation')
    history = grok.index.Text(attribute='history')
    state = grok.index.Field(attribute='state')